#
# spec file for package rubygem-cfa_grub2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-cfa_grub2
Version:        0.5.1
Release:        1.2
%define mod_name cfa_grub2
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://github.com/config-files-api/config_files_api_grub2
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Models for GRUB2 configuration files
License:        LGPL-3.0
Group:          Development/Languages/Ruby

%description
Models allowing easy read and modification of GRUB2 configuration files. It is
a plugin for cfa framework.

%prep

%build

%install
%gem_install \
  -f

%gem_packages

%changelog
* Wed Jul 13 2016 jreidinger@suse.com
- Do not crash for submenu with double quotes (bnc#986005)
- Filter out non-bootable menuentries ( a Snapper help label,
  using double quotes )
- 0.5.1
* Mon Jul 11 2016 jreidinger@suse.com
- extend grub.cfg model to construct also full path usable for
  grub2-set-default (bnc#986005)
- 0.5.0
* Thu May 12 2016 jreidinger@suse.com
- fix value for GRUB_ENCRYPTED_DISK attribute (bnc#976315)
- 0.4.1
* Wed Mar 30 2016 jreidinger@suse.com
- add attribute GRUB_DEFAULT to /etc/default/grub model
  (FATE#317701)
- 0.4.0
* Thu Mar 24 2016 jreidinger@suse.com
- fix path to device.map in its model
- 0.3.3
* Thu Mar 24 2016 jreidinger@suse.com
- do not modify data during grub_installdevice write (FATE#317701)
- 0.3.2
* Tue Jan 19 2016 jreidinger@suse.com
- fix dependency on cfa
- 0.3.1
* Wed Jan 13 2016 jreidinger@suse.com
- add attribute GRUB_HIDDEN_TIMEOUT to /etc/default/grub model
- 0.3.0
* Mon Dec 28 2015 jreidinger@suse.com
- use new default file handler from base
- 0.2.0
* Wed Dec 16 2015 jreidinger@suse.com
- initial package. Supports models for files:
  - /etc/default/grub
  - /boot/grub2/device.map
  - /boot/grub2/grub.cfg
  - /etc/default/grub_installdevice
